com.amazonaws.services.simpleworkflow.model

## Class CountOpenWorkflowExecutionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.CountOpenWorkflowExecutionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CountOpenWorkflowExecutionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CountOpenWorkflowExecutionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CountOpenWorkflowExecutionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDomain()` The name of the domain containing the workflow executions to count.
`WorkflowExecutionFilter` `getExecutionFilter()` If specified, only workflow executions matching the `WorkflowId` in the filter are counted.
`ExecutionTimeFilter` `getStartTimeFilter()` Specifies the start time criteria that workflow executions must meet in order to be counted.
`TagFilter` `getTagFilter()` If specified, only executions that have a tag that matches the filter are counted.
`WorkflowTypeFilter` `getTypeFilter()` Specifies the type of the workflow executions to be counted.
`int` `hashCode()`
`void` `setDomain(String domain)` The name of the domain containing the workflow executions to count.
`void` `setExecutionFilter(WorkflowExecutionFilter executionFilter)` If specified, only workflow executions matching the `WorkflowId` in the filter are counted.
`void` `setStartTimeFilter(ExecutionTimeFilter startTimeFilter)` Specifies the start time criteria that workflow executions must meet in order to be counted.
`void` `setTagFilter(TagFilter tagFilter)` If specified, only executions that have a tag that matches the filter are counted.
`void` `setTypeFilter(WorkflowTypeFilter typeFilter)` Specifies the type of the workflow executions to be counted.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CountOpenWorkflowExecutionsRequest` `withDomain(String domain)` The name of the domain containing the workflow executions to count.
`CountOpenWorkflowExecutionsRequest` `withExecutionFilter(WorkflowExecutionFilter executionFilter)` If specified, only workflow executions matching the `WorkflowId` in the filter are counted.
`CountOpenWorkflowExecutionsRequest` `withStartTimeFilter(ExecutionTimeFilter startTimeFilter)` Specifies the start time criteria that workflow executions must meet in order to be counted.
`CountOpenWorkflowExecutionsRequest` `withTagFilter(TagFilter tagFilter)` If specified, only executions that have a tag that matches the filter are counted.
`CountOpenWorkflowExecutionsRequest` `withTypeFilter(WorkflowTypeFilter typeFilter)` Specifies the type of the workflow executions to be counted.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CountOpenWorkflowExecutionsRequest

    public CountOpenWorkflowExecutionsRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain containing the workflow executions to count.

Parameters:
  `domain` - The name of the domain containing the workflow executions to count.

#### getDomain

    public String getDomain()

The name of the domain containing the workflow executions to count.

Returns:
  The name of the domain containing the workflow executions to count.

#### withDomain

    public CountOpenWorkflowExecutionsRequest withDomain(String domain)

The name of the domain containing the workflow executions to count.

Parameters:
  `domain` - The name of the domain containing the workflow executions to count.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTimeFilter

    public void setStartTimeFilter(ExecutionTimeFilter startTimeFilter)

Specifies the start time criteria that workflow executions must meet in order to be counted.

Parameters:
  `startTimeFilter` - Specifies the start time criteria that workflow executions must meet in order to be counted.

#### getStartTimeFilter

    public ExecutionTimeFilter getStartTimeFilter()

Specifies the start time criteria that workflow executions must meet in order to be counted.

Returns:
  Specifies the start time criteria that workflow executions must meet in order to be counted.

#### withStartTimeFilter

    public CountOpenWorkflowExecutionsRequest withStartTimeFilter(ExecutionTimeFilter startTimeFilter)

Specifies the start time criteria that workflow executions must meet in order to be counted.

Parameters:
  `startTimeFilter` - Specifies the start time criteria that workflow executions must meet in order to be counted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTypeFilter

    public void setTypeFilter(WorkflowTypeFilter typeFilter)

Specifies the type of the workflow executions to be counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `typeFilter` - Specifies the type of the workflow executions to be counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getTypeFilter

    public WorkflowTypeFilter getTypeFilter()

Specifies the type of the workflow executions to be counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  Specifies the type of the workflow executions to be counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withTypeFilter

    public CountOpenWorkflowExecutionsRequest withTypeFilter(WorkflowTypeFilter typeFilter)

Specifies the type of the workflow executions to be counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `typeFilter` - Specifies the type of the workflow executions to be counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTagFilter

    public void setTagFilter(TagFilter tagFilter)

If specified, only executions that have a tag that matches the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `tagFilter` - If specified, only executions that have a tag that matches the filter are counted. <note> `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getTagFilter

    public TagFilter getTagFilter()

If specified, only executions that have a tag that matches the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only executions that have a tag that matches the filter are counted. <note> `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withTagFilter

    public CountOpenWorkflowExecutionsRequest withTagFilter(TagFilter tagFilter)

If specified, only executions that have a tag that matches the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `tagFilter` - If specified, only executions that have a tag that matches the filter are counted. <note> `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionFilter

    public void setExecutionFilter(WorkflowExecutionFilter executionFilter)

If specified, only workflow executions matching the `WorkflowId` in the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `executionFilter` - If specified, only workflow executions matching the `WorkflowId` in the filter are counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getExecutionFilter

    public WorkflowExecutionFilter getExecutionFilter()

If specified, only workflow executions matching the `WorkflowId` in the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only workflow executions matching the `WorkflowId` in the filter are counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withExecutionFilter

    public CountOpenWorkflowExecutionsRequest withExecutionFilter(WorkflowExecutionFilter executionFilter)

If specified, only workflow executions matching the `WorkflowId` in the filter are counted.

<note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `executionFilter` - If specified, only workflow executions matching the `WorkflowId` in the filter are counted. <note>`executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CountOpenWorkflowExecutionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`